Name: 		kexchange
Summary:	A currency converter using up to date exchange rates from the Internet
Version: 	1.0
Release: 	3mdk
License: 	GPL
Group: 		Office
Source: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/build-root-%{name}
Url: 		http://www.favorin.com/projects/kexchange/
BuildRequires: kdebase-devel autoconf2.5

%description
KExchange retrieves up-to-date currency exchange rates from the 
PACIFIC Exchange Rate Service and lets you convert between 150+ 
currencies. It may also be used as a Euro converter. It can 
refresh exchange rates automatically on startup or it may use 
locally-stored data.

%prep

%setup -q

%build
%define __libtoolize true
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

%configure2_5x --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT 
mkdir $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip

#menu
mkdir -p %{buildroot}/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
needs="X11" \
section="Applications/Finances" \
title="Kexchange" \
longtitle="Exchange rate and currency conversion program" \
command="%{_bindir}/%{name}" \
icon="%{name}.png"
EOF

#menu icons
mkdir -p %{buildroot}/{%{_miconsdir},%{_liconsdir}}
ln -s %{_iconsdir}/hicolor/16x16/apps/%{name}.png %{buildroot}/%{_miconsdir}
ln -s %{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}/%{_iconsdir}
ln -s %{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}/%{_liconsdir}

%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applnk/*/%{name}.desktop
%{_datadir}/apps/%{name}
%{_datadir}/doc/HTML/en/%{name}
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/locolor/16x16/apps/%{name}.png
%{_iconsdir}/locolor/32x32/apps/%{name}.png
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 1.0-3mdk
- Fix on x86_64

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-2mdk
- Rebuild

* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- 1.0

* Sat Oct 18 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.3.2-1mdk
- First Mandrake package
